{
  "namespace": "energistics_expansion:geological_manufacturer",
  "root": {
    "type": "panel",
    "controls": [
      {
        "container_gamepad_helpers@common.container_gamepad_helpers": {}
      },
      {
        "flying_item_renderer@common.flying_item_renderer": {
          "layer": 14
        }
      },
      {
        "selected_item_details_factory@common.selected_item_details_factory": {}
      },
      {
        "item_lock_notification_factory@common.item_lock_notification_factory": {}
      },
      {
        "root_panel@common.root_panel": {
          "layer": 1,
          "size": [180, 180],
          "controls": [
            {
              "common_panel@common.common_panel": {}
            },
            {
              "chest_panel": {
                "type": "panel",
                "layer": 5,
                "offset": [0, -0.5],
                "controls": [
                  {
                    "machine_panel_top_half@energistics_expansion:geological_manufacturer.top_half": {}
                  },
                  {
                    "inventory_panel_bottom_half_with_label@common.inventory_panel_bottom_half_with_label": {}
                  },
                  {
                    "hotbar_grid@common.hotbar_grid_template": {}
                  },
                  {
                    "inventory_take_progress_icon_button@common.inventory_take_progress_icon_button": {}
                  }
                ]
              }
            },
            {
              "inventory_selected_icon_button@common.inventory_selected_icon_button": {}
            },
            {
              "gamepad_cursor@common.gamepad_cursor_button": {}
            }
          ]
        }
      }
    ]
  },
  "top_half": {
    "type": "panel",
    "size": ["100%", "50% - 12px"],
    "offset": [0, 7],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      {
        "title@fluffyalien_energisticscore:common.container_title": {
          "text": "Geological Manufacturer"
        }
      },
      {
        "energy_bar@fluffyalien_energisticscore:common.machine_storage_bar": {
          "offset": [8, 17],
          "$start_index": 0
        }
      },
      {
        "water_bar@fluffyalien_energisticscore:common.machine_storage_bar": {
          "offset": [138, 17],
          "$start_index": 4
        }
      },
      {
        "lava_bar@fluffyalien_energisticscore:common.machine_storage_bar": {
          "offset": [156, 17],
          "$start_index": 8
        }
      },
      {
        "input_slot@fluffyalien_energisticscore:common.container_item_slot": {
          "$index": 12,
          "offset": [80, 26]
        }
      },
      {
        "upgrade_slot@fluffyalien_energisticscore:common.container_item_slot": {
          "$index": 13,
          "offset": [117, 17]
        }
      },
      {
        "ui_slot@fluffyalien_energisticscore:common.container_slot_icon": {
          "$index": 14,
          "offset": [89, 53]
        }
      },
      {
        "output_slot@fluffyalien_energisticscore:common.container_item_slot": {
          "$index": 15,
          "offset": [80, 62]
        }
      }
    ]
  }
}
